Resource

Workflow

Integrate your project with rest of your software stack.

The Workflow Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isEnabled
    Type
    Boolean
    Description

    Is this workflow enabled?

  • Name
    graph
    Type
    JSON
    Description

    Workflow Graph in JSON. Ideally, create this via UI and not via API.

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

GETorPOST/api/workflow/get-list

List

This endpoint allows you to retrieve a paginated list of all your Workflow. By default, a maximum of ten Workflow are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/workflow/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "description": true,
    "slug": true
  },
  "query": {
    "name": "Incident Response Automation"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377fc282-28fe-11f1-b591-3fdcef396aba",
      "name": "Incident Response Automation",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "Automatically creates incidents, notifies team members, and escalates critical issues based on alert severity",
      "slug": "Example slug"
    },
    {
      "_id": "377fc283-28fe-11f1-b591-3fdcef396aba",
      "name": "Incident Response Automation",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "Automatically creates incidents, notifies team members, and escalates critical issues based on alert severity",
      "slug": "Example slug"
    },
    {
      "_id": "377fc284-28fe-11f1-b591-3fdcef396aba",
      "name": "Incident Response Automation",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "description": "Automatically creates incidents, notifies team members, and escalates critical issues based on alert severity",
      "slug": "Example slug"
    }
  ]
}
GETorPOST/api/workflow/:id/get-item

Get item by ID

This endpoint allows you to retrieve Workflow by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/workflow/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "description": true,
    "slug": true
  }
}

Response

{
  "_id": "377fc282-28fe-11f1-b591-3fdcef396aba",
  "name": "Incident Response Automation",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "description": "Automatically creates incidents, notifies team members, and escalates critical issues based on alert severity",
  "slug": "Example slug"
}
POST/api/workflow/count

Count

This endpoint allows you to retrieve the count of all your Workflow.

Optional Request Body

Count Request

POST
/api/workflow/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Incident Response Automation"
  }
}

Response

{
  "count": 107
}
POST/api/workflow

Create Workflow

This endpoint allows you to create a new object.

Create Request

POST
/api/workflow
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Incident Response Automation",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "description": "Automatically creates incidents, notifies team members, and escalates critical issues based on alert severity",
    "createdByUser": "Example created by user"
  }
}

Response

{
  "_id": "377fc282-28fe-11f1-b591-3fdcef396aba",
  "name": "Incident Response Automation",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "description": "Automatically creates incidents, notifies team members, and escalates critical issues based on alert severity",
  "slug": "Example slug"
}
PUT/api/workflow/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/workflow/:id/update-item
GET/api/workflow/:id/update-item

Update Request

PUT
/api/workflow/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Incident Response Automation",
    "description": "Automatically creates incidents, notifies team members, and escalates critical issues based on alert severity",
    "graph": {
      "key": "value"
    }
  }
}

Response

{}
DELETE/api/workflow/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/workflow/:id/delete-item
GET/api/workflow/:id/delete-item

Delete Request

DELETE
/api/workflow/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Workflow

  • Project Owner
  • Project Admin
  • Project Member
  • Read Workflow
  • Read All Project Resources

Create Permissions

Required to create Workflow

  • Project Owner
  • Project Admin
  • Create Workflow
  • Project Member

Update Permissions

Required to update Workflow

  • Project Owner
  • Project Admin
  • Delete Workflow
  • Edit Workflow

Delete Permissions

Required to delete Workflow

  • Project Owner
  • Project Admin
  • Delete Workflow
  • Project Member